### Constructor

# ICalGLib Property new

since: 1.0

#### Declaration [src]

    ICalProperty*
    i_cal_property_new (
      ICalPropertyKind kind
    )

#### Description [src]

Creates a `ICalProperty` of the target type.

Available since: 1.0

#### Parameters

`kind`

  Type: `ICalPropertyKind`

  The kind of `ICalProperty` to be created.

#### Return value

Type: `ICalProperty`

The newly created `ICalProperty` with the type `kind`.

The caller of the function takes ownership of the data, and is responsible for freeing it.